Subject: Re: Problems with MontaVista Linux on a Memec Virtex-II pro ff672 board

From: Jaap-Jan Boor <[email-masked]>
Date: Thu, 17 Mar 2005 13:57:56 +0100

is there something printed before 'Now booting the kernel'?
If so, do the memory ranges not overlap or something?

Jaap-Jan

On 17-mrt-05, at 13:49, S. van Beek wrote:

> Hello there,
>  
> This is our first post on this list, hi all!
> We're two Dutch students working with a Virtex-II pro ff672 board from 
> Memec with the Communications 2 module. We've compiled a simple kernel 
> wich comes with MontaVista Linux 3.1 (2.4.20) with ethernet and a 
> serial port. It mounts its root filesystem over NFS and everything 
> seems to work nicely. The next step we wanted to make was 
> adding support for the Flash on the com board. We added the IP to the 
> hardware and loaded the new bitstream in the FPGA. Next thing, we 
> enabled support for MTD devices in the kernel. After that, the kernel 
> did not seem to boot anymore. It stopped at the message 'Now booting 
> the kernel'. So we read some documentation about debugging. We 
> recompiled this kernel with the -g -ggdb options and removed the -O 
> (optimalization) flag. Then we did not even see the ppc boot loader 
> messages anymore when trying to boot. So we tried to compile the first 
> kernel (with only serial and ethernet support) -wich worked fine 
> before- with debugging and it gave us the same result.. no output at 
> all.
>  Can anyone give us some hints on what we can try more to find out 
> what is going wrong?
>   
> Regards,
> Sander van Beek
> Daniel van Os
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

J.G.J. Boor                       Anton Philipsweg 1
Software Engineer                 1223 KZ Hilversum
AimSys bv                         tel. +31 35 689 1941
Postbus 2194, 1200 CD Hilversum   mailto:[email-masked]